PUT /api/osquery/saved_queries/{id}

Spaces method and path for this operation:

put /s/{space_id}/api/osquery/saved_queries/{id}

Refer to Spaces for more information.

Update a saved query using the query ID.

You cannot update a prebuilt saved query.

Path parameters

  • id string Required

    The saved query ID.

application/json

Body Required

  • description string

    The saved query description.

  • ecs_mapping object

    Map osquery results columns or static values to Elastic Common Schema (ECS) fields

    Hide ecs_mapping attribute Show ecs_mapping attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
  • id string

    The ID of a saved query.

  • interval string

    An interval, in seconds, on which to run the query.

  • platform string

    Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, linux,darwin.

  • query string

    The SQL query you want to run.

  • removed boolean

    Indicates whether the query is removed.

  • snapshot boolean

    Indicates whether the query is a snapshot.

  • version string

    Uses the Osquery versions greater than or equal to the specified version string.

Responses

  • 200 application/json

    Indicates a successful call.

    Hide response attribute Show response attribute object
    • data object Required
      Hide data attributes Show data attributes object
      • created_at string(date-time)
      • created_by string | null
      • created_by_profile_uid string
      • description string

        The saved query description.

      • ecs_mapping object

        Map osquery results columns or static values to Elastic Common Schema (ECS) fields

        Hide ecs_mapping attribute Show ecs_mapping attribute object
        • * object Additional properties
          Hide * attributes Show * attributes object
      • id string Required

        The ID of a saved query.

      • interval integer | string

      • platform string

        Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, linux,darwin.

      • prebuilt boolean
      • query string

        The SQL query you want to run.

      • removed boolean

        Indicates whether the query is removed.

      • saved_object_id string Required
      • snapshot boolean

        Indicates whether the query is a snapshot.

      • timeout integer
      • updated_at string(date-time)
      • updated_by string | null
      • updated_by_profile_uid string
      • version string

        The saved query version.

PUT /api/osquery/saved_queries/{id}
curl \
 --request PUT 'https://<KIBANA_URL>/api/osquery/saved_queries/3c42c847-eb30-4452-80e0-728584042334' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"description":"Updated saved query description","id":"my_saved_query","interval":"120","platform":"linux,darwin","query":"select * from osquery_info;","timeout":60}'
Request example
{
  "description": "Updated saved query description",
  "id": "my_saved_query",
  "interval": "120",
  "platform": "linux,darwin",
  "query": "select * from osquery_info;",
  "timeout": 60
}
Response examples (200)
{
  "data": {
    "description": "Updated saved query description",
    "id": "my_saved_query",
    "interval": "120",
    "platform": "linux,darwin",
    "query": "select * from osquery_info;",
    "saved_object_id": "42ba1280-2172-11ee-8523-5765fca79a3c",
    "timeout": 60,
    "updated_at": "2025-02-27T10:00:00.000Z",
    "updated_by": "elastic"
  }
}